osl::record::RecordFile Class Reference

`#include <record.h>`

Inheritance diagram for osl::record::RecordFile:

## Public Member Functions

virtual | ~RecordFile ()
Record | load () const
const NumEffectState | initialState () const
const std::vector< Move > | moves () const

## Protected Attributes

Record | record

## Detailed Description

Definition at line 63 of file record.h.

## Constructor & Destructor Documentation

## ~RecordFile()

osl::record::RecordFile::~RecordFile | ( |  | ) |

virtual

Definition at line 128 of file record.cc.

## Member Function Documentation

## initialState()

const NumEffectState osl::record::RecordFile::initialState | ( |  | ) | const

inline

Definition at line 70 of file record.h.

References record.

## load()

Record osl::record::RecordFile::load | ( |  | ) | const

inline

Definition at line 69 of file record.h.

References record.

## moves()

const std::vector< Move > osl::record::RecordFile::moves | ( |  | ) | const

inline

Definition at line 71 of file record.h.

References record.

## Member Data Documentation

## record

Record osl::record::RecordFile::record

protected

Definition at line 66 of file record.h.

Referenced by initialState(), osl::kakinoki::KakinokiFile::KakinokiFile(), osl::ki2::Ki2File::Ki2File(), load(), moves(), osl::kakinoki::KakinokiFile::parseLine(), osl::ki2::Ki2File::parseLine(), osl::record::CsaFile::parseLine(), osl::record::CsaFile::read(), and osl::usi::UsiFile::UsiFile().

The documentation for this class was generated from the following files:

- record.h
- record.cc